%inc "C:\Documents and Settings\haab.1\my documents\Tim\Marfin\fusion26093_5_randnormal.sas";  /*LOAD RANDOM NORMAL GENERATOR*/

libname marfin 'C:\Documents and Settings\haab.1\my documents\Tim\Marfin\';


data mu; set marfin.cl_dol; where _TYPE_='PARMS';  /*PICK OFF PARAMETER ESTIMATES*/
keep tcfee pbig psmall bigame lognsite;
run;

data vc; set marfin.cl_dol; where _TYPE_='COV';  /*PICK OFF VARIANCE COVARIANCE MATRIX*/
keep tcfee pbig psmall bigame lognsite;
run;


proc iml;
LOAD RANDNORMAL;  /*LOAD THE NORMAL RANDOM DRAW PROCEDURE*/
call randseed(1);
N=5000;

use mu;
read all into mean;

use vc;
read all into cov;

print mean, cov;

x = RANDNORMAL(N,Mean,Cov);  /*DRAW 5000 VECTORS WITH MEAN=PARAMETER ESTIAMTES AND VC=ESTIAMTED VARIANCE COVARIANCE MATRIX*/

cname = {"b1" "b2" "b3" "b4" "b5" };
  create marfin.wtp_kr_dolphin_cl from x [ colname=cname ];
  append from x;

quit;

data ci; set marfin.wtp_kr_dolphin_cl;  /*CALCULATE WTP MEASURES FOR EACH DRAW*/
wtpbig=b2/-b1;
wtpsmall=b3/-b1;
wtpbigame=b4/-b1;
keep wtpbig wtpsmall wtpbigame;
run;

proc univariate data=ci;  /*CALCULATE THE 95% CONFIDENCE INTERVAL*/
var wtpbig wtpsmall wtpbigame;
output out=percentiles1 pctlpts=2.5 97.5 pctlpre=wtpbig wtpsmall wtpbigame;
run;

proc print data=percentiles1;
run;

