%inc "C:\Documents and Settings\WhiteheadJC\My Documents\Research\NMFS\MARFIN\SAS\2000\species\Chapter 4\fusion26093_5_randnormal.sas";
libname marfin 'C:\data\mrfss\Marfin';

data mu; set marfin.ml_dol_norm; where _TYPE_='PARMS';
keep tcfee_m tcfee_s pbig psmall bigame lognsite;
run;

data vc; set marfin.ml_dol_norm; where _TYPE_='COV';
keep tcfee_m tcfee_s pbig psmall bigame lognsite;
run;



proc iml;
LOAD RANDNORMAL;

call randseed(1);
N=1000;

use mu;
read all into mean;

use vc;
read all into cov;

print mean, cov;

x = RANDNORMAL(N,Mean,Cov);

cname = {"b1" "b2" "b3" "b4" "b5" "b6"};
  create marfin.wtp_kr_dolphin_ml_norm from x [ colname=cname ];
  append from x;
quit;

data ci; set marfin.wtp_kr_dolphin_ml_norm;
wtpbig=b3/-b1;
wtpsmall=b4/-b1;
wtpbigame=b5/-b1;
keep wtpbig wtpsmall wtpbigame;
run;

proc univariate data=ci;
var wtpbig wtpsmall wtpbigame;
output out=percentiles1 pctlpts=2.5 97.5 pctlpre=wtpbig wtpsmall wtpbigame;
run;
proc print data=percentiles1;
run;

