%inc "C:\Documents and Settings\WhiteheadJC\My Documents\Research\NMFS\MARFIN\SAS\2000\species\Chapter 4\fusion26093_5_randnormal.sas";
libname marfin 'C:\data\mrfss\Marfin';

data mu; set marfin.ml_mac_uni; where _TYPE_='PARMS';
keep tc_m tc_s small king spanish lognsite;
run;

data vc; set marfin.ml_mac_uni; where _TYPE_='COV';
keep tc_m tc_s small king spanish lognsite;
run;

proc iml;
LOAD RANDNORMAL;

call randseed(1);
N=1000;

use mu;
read all into mean;

use vc;
read all into cov;

print mean, cov;

x = RANDNORMAL(N,Mean,Cov);

cname = {"b1" "b2" "b3" "b4" "b5" "b6"};
  create marfin.wtp_kr_mac_ml_uni from x [ colname=cname ];
  append from x;
quit;

data ci; set marfin.wtp_kr_mac_ml_uni;
wtpsmall=b3/-b1;
wtpking=b4/-b1;
wtpspanish=b5/-b1;
keep wtpsmall wtpking wtpspanish;
run;

proc univariate data=ci;
var wtpsmall wtpking wtpspanish;
output out=percentiles1 pctlpts=2.5 97.5 pctlpre=wtpsmall wtpking wtpspanish;
run;
proc print data=percentiles1;
run;

