/*DOLPHIN MODELS: CONDITIONAL LOGIT, MIXED LOGIT WITH TC PARAMETER AS A NORMAL, 
UNIFORM AND LOG-NOMAL DISTRIBUTED RV*/

libname marfin 'C:\data\mrfss\marfin';

libname dolphin 'C:\data\mrfss\marfin\dolphin';

/*CONDITIONAL LOGIT*/
proc mdc data=dolphin.dolphin3 type = clogit outest=marfin.cl_dol covout;
model y = tcfee pbig psmall bigame lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34);
output out=marfin.cl_dol_out p=predprob;
id id;
run;


/*MIXED LOGIT--NORMAL*/
proc mdc data=dolphin.dolphin3 type = mixedlogit outest=marfin.ml_dol_norm covout;
model y = tcfee pbig psmall bigame lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34)
          mixed = (normalparm = tcfee);
output out=marfin.cl_dol_norm_out p=predprob;
id id;
run;

/*proc mdc data=dolphin.dolphin3 type = mixedlogit;
model y = tcfee pbig psmall bigame lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34)
          mixed = (normalparm = tcfee pbig psmall bigame);
id id;
run;*/

/*MIXED LOGIT--UNIFORM*/

proc mdc data=dolphin.dolphin3 type = mixedlogit outest=marfin.ml_dol_uni covout;
model y = tcfee pbig psmall bigame lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34)
          mixed = (uniformparm = tcfee);
output out=marfin.cl_dol_uni_out p=predprob;
id id;
run;

/*proc mdc data=dolphin.dolphin3 type = mixedlogit;
model y = tcfee pbig psmall bigame lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34)
          mixed = (uniformparm = tcfee pbig psmall bigame);
id id;
run;*/

/*CREATE THE NEGATIVE OF THE TC VARIABLE TO RESTRICT THE LOG-NORMAL DISTRIBUTION TO BE NEGATIVE*/

/*data two; set dolphin.dolphin3; 
tcneg=-tcfee;
run;

proc mdc data=two type = mixedlogit;
model y = tcneg pbig psmall bigame lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34)
          mixed = (lognormalparm = tcneg);
id id;
run;*/

/*MACKEREL MODELS: CONDITIONAL LOGIT, MIXED LOGIT WITH TC PARAMETER AS A NORMAL, UNIFORM AND LOG-NOMAL DISTRIBUTED RV*/

libname mack 'C:\data\mrfss\marfin\Mackerel';
data three; set mack.mackerel(keep=id_code y tc lognsite site small king spanish);
id = id_code+0;
if site gt 40 and site le 75 then ascking=1; else ascking=0;
if site gt 75 then ascspan=1; else ascspan=0;
run;

/*CONDITIONAL LOGIT*/

proc mdc data=three type = clogit outest=marfin.cl_mac covout;
model y = tc small king spanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104);
output out=marfin.cl_mac_out p=predprob;
id id;
run;

/*MIXED LOGIT--NORMAL*/

proc mdc data=three type = mixedlogit outest=marfin.ml_mac_norm covout;
model y = tc small king spanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104)
               mixed = (normalparm = tc);
output out=marfin.cl_mac_norm_out p=predprob;
id id;
run;

/*proc mdc data=three type = mixedlogit;
model y = tc small king spanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104)
               mixed = (normalparm = tc small king spanish);
id id;
run;*/

/*MIXED LOGIT--UNIFORM*/

proc mdc data=three type = mixedlogit outest=marfin.ml_mac_uni covout;
model y = tc small king spanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104)
               mixed = (uniformparm = tc);

output out=marfin.cl_mac_uni_out p=predprob;
id id;
run;

/*proc mdc data=three type = mixedlogit;
model y = tc small king spanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104)
               mixed = (uniformparm = tc small king spanish);
id id;
run;*/
/*CREATE THE NEGATIVE OF THE TC VARIABLE TO RESTRICT THE LOG-NORMAL DISTRIBUTION TO BE NEGATIVE*/
/*
data four; set three; 
tcneg=-tc;
run;

proc mdc data=four type = mixedlogit;
model y = tcneg small king spanish lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104)
               mixed = (lognormalparm = tcneg);
id id;
run;
*/
/*DRUM-TROUT MODELS: CONDITIONAL LOGIT, MIXED LOGIT WITH TC PARAMETER AS A NORMAL, UNIFORM AND LOG-NOMAL DISTRIBUTED RV*/

libname drumtr 'C:\data\mrfss\Marfin\Drum';


/* CONDITIONAL LOGIT */
proc mdc data=drumtr.drum type = clogit outest=marfin.cl_drum covout;
model y = tc drum trout lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110);
output out=marfin.cl_drum_out p=predprob;
id id;
run;

/*MIXED LOGIT--NORMAL*/

proc mdc data=drumtr.drum type = mixedlogit outest=marfin.ml_drum_norm covout;
model y = tc drum trout lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110)
			   mixed = (normalparm = tc);
output out=marfin.cl_drum_norm_out p=predprob;
id id;
run;



/*proc mdc data=drumtr.drum type = mixedlogit;
model y = tc drum trout lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110)
			   mixed = (normalparm = tc drum trout);
id id;
run;*/

/*MIXED LOGIT-UNIFORM*/

proc mdc data=drumtr.drum type = mixedlogit outest=marfin.ml_drum_uni covout;
model y = tc drum trout lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110)
			   mixed = (uniformparm = tc);
output out=marfin.cl_drum_uni_out p=predprob;
id id;
run;


/*proc mdc data=drumtr.drum type = mixedlogit;
model y = tc drum trout lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110)
			   mixed = (uniformparm = tc drum trout);

id id;
run;*/
/*CREATE THE NEGATIVE OF THE TC VARIABLE TO RESTRICT THE LOG-NORMAL DISTRIBUTION TO BE NEGATIVE*/
/*
data five; set drumtr.drum; 
tcneg=-tc;
run;

proc mdc data=five type = mixedlogit;
model y = tcneg drum trout lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51
               52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73
               74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95
               96 97 98 99 100 101 102 103 104 105 106 107 108 109 110)
			   mixed = (lognormalparm = tcneg);
id id;
run;
*/
/*GROUPER MODELS: CONDITIONAL LOGIT, MIXED LOGIT WITH TC PARAMETER AS A NORMAL, UNIFORM AND LOG-NOMAL DISTRIBUTED RV*/

libname grouper 'C:\data\mrfss\Marfin\Grouper';

/*CONDITIONAL LOGIT*/

proc mdc data=grouper.grouper3 type = clogit outest=marfin.cl_group covout;
model y = tcfee snapper grouper redsnapper lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71);
output out=marfin.cl_group_out p=predprob;
id id;
run;

/*MIXED LOGIT--NORMAL*/

proc mdc data=grouper.grouper3 type = mixedlogit outest=marfin.ml_group_norm covout;
model y = tcfee snapper grouper redsnapper lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71)
mixed = (normalparm = tcfee);
output out=marfin.cl_group_norm_out p=predprob;
id id;
run;

/*proc mdc data=grouper.grouper3 type = mixedlogit;
model y = tcfee snapper grouper redsnapper lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71)
mixed = (normalparm = tcfee snapper grouper redsnapper);
id id;
run;*/

/*MIXED LOGIT--UNIFORM*/

proc mdc data=grouper.grouper3 type = mixedlogit outest=marfin.ml_group_uni covout;
model y = tcfee snapper grouper redsnapper lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71)
mixed = (uniformparm = tcfee);
output out=marfin.ml_group_uni_out p=predprob;
id id;
run;

/*proc mdc data=grouper.grouper3 type = mixedlogit;
model y = tcfee snapper grouper redsnapper lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71)
mixed = (uniformparm = tcfee snapper grouper redsnapper);
id id;
run;*/

/*CREATE THE NEGATIVE OF THE TC VARIABLE TO RESTRICT THE LOG-NORMAL DISTRIBUTION TO BE NEGATIVE*/
/*
data six; set grouper.grouper3; 
tcneg=-tcfee;
run;

proc mdc data=six type = mixedlogit;
model y = tcneg snapper grouper redsnapper lognsite /
choice = (site 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 
               29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
               55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71)
mixed = (lognormalparm = tcneg);
id id;
run;
*/
